﻿<div class="row">
    <div class="col-md-12">
        <h2>Order List</h2>
    </div>
</div>
<div class="row">
    <div class="col-md-12">
        <div class="pull-right" style="margin-bottom: 10px">
            <button type="button" class="btn btn-primary btn-sm" onclick="showCreate()"><i class="glyphicon glyphicon-plus"></i> Add New</button>
        </div>
    </div>
</div>
<div class="row">
    <div class="col-md-12">
        <table id="orders-dt" class="table table-striped table-bordered"></table>
    </div>
</div>

<div id="modal-container" class="modal fade" data-backdrop="static"></div>
 
<div id="order-detail" class="modal fade" data-backdrop="static"></div>

<script type="text/javascript">
    var lengthMenu = [[10, 25, 50, 100], [10, 25, 50, 100]];
    var orderdt = $('#orders-dt').DataTable({
                    serverSide: true,
                    processing: true,
                    scrollX: true,
                    aaSorting: [[1, 'asc']],
                    ajax: {
                        url: "@Url.Action("Get", "Orders")"
                    },
                    columns: [
                        {
                            data: 'OrderID', render: function (data) {
                                return '<a id="btnDetail" href="javascript:showDetail(' + data + ')"><i class="glyphicon glyphicon-search"></i></a>' +
                                    '<a id="btnEdit" href="javascript:showEdit(' + data + ')" style="color: green; margin-left: 5px"><i class="glyphicon glyphicon-edit"></i></a>' +
                                    '<a id="btnDetail" href="javascript:deleteData(' + data + ')" style="color: red; margin-left: 5px"><i class="glyphicon glyphicon-remove"></i></a>';
                            }, width: 80, sortable: false
                        },
                        { title: 'Order ID', data: 'OrderID', width: 80 },
                        { title: 'Customer', data: 'CustomerName' },
                        { title: 'Employee', data: 'EmployeeName' },
                        { title: 'OrderDate', data: 'OrderDate', render: function (data) { return convertToDate(data); } },
                        { title: 'RequiredDate', data: 'RequiredDate', render: function (data) { return convertToDate(data); } },
                        { title: 'ShippedDate', data: 'ShippedDate', render: function (data) { return convertToDate(data); } },
                        { title: 'Shipper', data: 'ShipperName' },
                        { title: 'ShipName', data: 'ShipName' },
                        { title: 'ShipCity', data: 'ShipCity' },
                        { title: 'ShipCountry', data: 'ShipCountry' }
                    ],
                    lengthMenu: lengthMenu
    });

    function showCreate() {
        $.get("Orders/Create", function (data) {
            $('#modal-container').html(data);
            $('#modal-container').modal();
        });
    }

    function showDetail(id) {
        $.get("Orders/Details/" + id, function (data) {
            $('#modal-container').html(data);
            $('#modal-container').modal();
        });
    }
    function showEdit(id) {
        $.get("Orders/Edit/" + id, function (data) {
            $('#modal-container').html(data);
            $('#modal-container').modal();
        });
    }

    function deleteData(id) {
        orderdt.ajax.reload();
    }


    function OnSuccess(data) {
        if (data !== 'success') {
            $("#modal-container").html(data);
            return;
        }
        $("#modal-container").modal('hide');
        $("#modal-container").html("");
        orderdt.ajax.reload();
    }
</script>

@Html.Action("Lookup", "Employees")
@Html.Action("Lookup", "Customers")
@Html.Action("Lookup", "Shippers")
@Html.Action("Lookup", "Products")